package sep

type Pool struct {
	// Pool name
	Name string `json:"name"`

	// Pool types
	Types []string `json:"types"`

	// System
	System bool `json:"system"`
}

type SEPData struct {
	// SEP ID
	SEPID uint64 `json:"sepId"`

	// SEP name
	SEPName string `json:"sepName"`

	// Sep type
	SEPType string `json:"sepType"`

	// Pools
	Pools []Pool `json:"pools"`
}

type ListAvailableSEP struct {
	// Entry count
	EntryCount uint64 `json:"entryCount"`

	// Data
	Data []SEPData `json:"data"`
}
