package dpdknet

// Detailed information about DPDK network
type RecordDPDKNet struct {
	// List of accounts with access
	AccountAccess []uint64 `json:"accountAccess"`

	// Created time
	CreatedTime uint64 `json:"createdTime"`

	// Updated time
	UpdatedTime uint64 `json:"updatedTime"`

	// Description
	Description string `json:"description"`

	// Grid ID
	GID uint64 `json:"gid"`

	// Guid ID
	GUID uint64 `json:"guid"`

	// ID
	ID uint64 `json:"id"`

	// Name
	Name string `json:"name"`

	// List of resource groups with access
	RGAccess []uint64 `json:"rgAccess"`

	// Status
	Status string `json:"status"`

	// OVS bridge
	OVSBridge string `json:"ovsBridge"`

	// Vlan ID
	VlanID uint64 `json:"vlanId"`

	// Compute IDs
	ComputeIDs []uint64 `json:"computeIds"`
}

type ListDPDKNet struct {
	// Data
	Data []ItemDPDKNet `json:"data"`

	// Entry count
	EntryCount uint64 `json:"entryCount"`
}

type ItemDPDKNet struct {
	// List of accounts with access
	AccountAccess []uint64 `json:"accountAccess"`

	// Created time
	CreatedTime uint64 `json:"createdTime"`

	// Updated time
	UpdatedTime uint64 `json:"updatedTime"`

	// Description
	Description string `json:"description"`

	// Grid ID
	GID uint64 `json:"gid"`

	// Guid ID
	GUID uint64 `json:"guid"`

	// ID
	ID uint64 `json:"id"`

	// Name
	Name string `json:"name"`

	// List of resource groups with access
	RGAccess []uint64 `json:"rgAccess"`

	// Status
	Status string `json:"status"`

	// OVS bridge
	OVSBridge string `json:"ovsBridge"`

	// Vlan ID
	VlanID uint64 `json:"vlanId"`

	// Compute IDs
	ComputeIDs []uint64 `json:"computeIds"`
}
